### Signal

# Soup ServerMessage::finished

since: 3.0

#### Declaration

    void
    finished (
      SoupServerMessage* self,
      gpointer user_data
    )

#### Description [src]

Emitted when all HTTP processing is finished for a message. (After `SoupServerMessage::wrote-body`).

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Available since: 3.0